四度空间

专注.NET SharePoint

Install SharePoint 2013 with SP1 on Windows Server 2012 R2 error - This Product requires .NF 4.5

博客地址:http://blog.csdn.net/FoxDave

最近因为项目需要要搭建SharePoint 2013的开发环境。

准备了Windows Server 2012 R2系统和SharePoint Server 2013 with SP1安装包,本以为可以顺利安装成功,没想到却碰到了错误无法安装。

这个Server系统本身就具有足够的.NET Framework版本了,所以报这个错误让人很疑惑,应该是SharePoint的Bug。

上网搜了一下,果然有这个问题,直接搜到了一个微软的hotfix。同时也看了很多人记录的解决方案。尤其是老外的帖子,更是有各式各样的解决方案。

既然有微软的hotfix,还是直接用就行了。地址如下:

https://support.microsoft.com/en-us/help/3087184/sharepoint-2013-or-project-server-2013-setup-error-if-the-.net-framework-4.6-is-installed

下载SharePoint Server对应的hotfix,解压出来之后是svrsetup.dll这个文件。

把你的安装包整个目录拷贝到某个磁盘,把这个dll文件替换进去,再运行安装程序,可以安装了。

特此记录一下,正好遇到类似问题的朋友如果搜到了本文可以很快地解决。

阅读更多
版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/FoxDave/article/details/54695034
个人分类: SharePoint fragment
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

加入CSDN,享受更精准的内容推荐,与500万程序员共同成长!
关闭
关闭